--- purify_v03-source/purify/Makefile
+++ purify_v03-source/purify/Makefile
@@ -2,8 +2,8 @@
 include phoenix/Makefile
 
 path := /usr/local/bin
-flags := -I. -O3 -fomit-frame-pointer
-link := -s
+flags := -I. $(CXXFLAGS)
+link := $(LDFLAGS)
 objects := obj/phoenix.o obj/purify.o
 
 ifeq ($(platform),x)
@@ -22,7 +22,7 @@
 
 build: $(objects)
 ifeq ($(platform),x)
-	$(cpp) -pthread $(link) -o purify $(objects) $(phoenixlink)
+	$(cpp) $(flags) -pthread $(link) -o purify $(objects) $(phoenixlink)
 else ifeq ($(platform),win)
 	windres phoenix/windows/phoenix.rc obj/phoenix-resource.o
 	$(cpp) -shared -o phoenix.dll obj/phoenix.o $(phoenixlink)
--- purify_v03-source/purify/phoenix/Makefile
+++ purify_v03-source/purify/phoenix/Makefile
@@ -4,13 +4,13 @@
   endif
 
   ifeq ($(phoenix),gtk)
-    phoenixflags := -DPHOENIX_GTK `pkg-config --cflags gtk+-2.0`
-    phoenixlink := `pkg-config --libs gtk+-2.0`
+    phoenixflags := -DPHOENIX_GTK `pkg-config --cflags gtk+-2.0 x11`
+    phoenixlink := `pkg-config --libs gtk+-2.0 x11` -ldl
   endif
 
   ifeq ($(phoenix),qt)
-    phoenixflags := -DPHOENIX_QT `pkg-config --cflags QtCore QtGui`
-    phoenixlink := `pkg-config --libs QtCore QtGui`
+    phoenixflags := -DPHOENIX_QT `pkg-config --cflags QtCore QtGui x11`
+    phoenixlink := `pkg-config --libs QtCore QtGui x11` -ldl
   endif
 else ifeq ($(platform),win)
   phoenixflags := -DPHOENIX_WINDOWS
